var $iaz = jQuery.noConflict();
(function( $iaz ) {
    'use strict';

    $iaz.datetimepicker.setLocale(pcfmefrontend.datetimepicker_lang);


	var datepicker_format = pcfmefrontend.datepicker_format;

    switch(datepicker_format) {
          case "01":
            var dtformat = 'd/m/Y';
          break;
          case "02":
            var dtformat = 'd-m-Y';
          break;
          case "03":
            var dtformat = 'd F Y';
          break;
          case "04":
            var dtformat = 'm/d/Y';
          break;
          case "05":
            var dtformat = 'm-d-Y';
          break;

          case "06":
            var dtformat = 'F d Y';
          break;


          default:
           var dtformat = 'd/m/Y';
    }

    var gdays ='';
    
    if ((pcfmefrontend.days_to_exclude) && (pcfmefrontend.days_to_exclude != '')) {

    	gdays = pcfmefrontend.days_to_exclude.split(',');
    	
    }

    gdays = '['+ gdays +']';
    

	$iaz(function() {


		if (jQuery('.pcfme-datepicker').length) {
			jQuery('.pcfme-datepicker').datetimepicker({
				format:dtformat,
				timepicker:false,
				disabledWeekDays: gdays,
				dayOfWeekStart: pcfmefrontend.dt_week_starts_on
			});
		}

	    var dateToday = new Date(); 
	    if (jQuery('.pcfme-datepicker-disable-past').length) {
	   	    jQuery('.pcfme-datepicker-disable-past').datetimepicker({
	   		    format:dtformat,
	            minDate: dateToday,
	   		    timepicker:false,
	   		    disabledWeekDays: gdays,
				dayOfWeekStart: pcfmefrontend.dt_week_starts_on
	   	    });
	    }



	   if (jQuery('.pcfme-daterangepicker').length) {
		  jQuery('.pcfme-daterangepicker').dateRangePicker({
            format: 'DD/MM/YYYY',
            language: pcfmefrontend.datetimepicker_lang,
            startOfWeek:pcfmefrontend.week_starts_on
            
          });
	   }

	   var dateToday = new Date(); 
	   if (jQuery('.pcfme-daterangepicker-disable-past').length) {
		  jQuery('.pcfme-daterangepicker-disable-past').dateRangePicker({
            format: 'DD/MM/YYYY',
		    startDate: dateToday,
		    language: pcfmefrontend.datetimepicker_lang,
		    startOfWeek:pcfmefrontend.week_starts_on
		    
          });
	   }



	    if (jQuery('.pcfme-datetimerangepicker').length) {
		  jQuery('.pcfme-datetimerangepicker').dateRangePicker({
                separator : ' - ',
                format: 'DD/MM/YYYY HH:mm',
                language: pcfmefrontend.datetimepicker_lang,
                startOfWeek:pcfmefrontend.week_starts_on,
                time: {
		          enabled: true
	            }
            
          });
	    }

	    var dateToday = new Date(); 
	    if (jQuery('.pcfme-datetimerangepicker-disable-past').length) {

		    jQuery('.pcfme-datetimerangepicker-disable-past').dateRangePicker({
                separator : ' - ',
                format: 'DD/MM/YYYY HH:mm',
		        startDate: dateToday,
		        language: pcfmefrontend.datetimepicker_lang,
		        startOfWeek:pcfmefrontend.week_starts_on,
		        time: {
		         enabled: true
	            }
		    
            });
	    }
              
	   
    });


	$iaz(function() {
		if (jQuery('.pcfme-datetimepicker').length) {
			jQuery('.pcfme-datetimepicker').datetimepicker({
				format:''+ dtformat + ' H:i',
				dayOfWeekStart: pcfmefrontend.dt_week_starts_on
			});
		}

		var dateToday = new Date(); 
		if (jQuery('.pcfme-datetimepicker-disable-past').length) {
			jQuery('.pcfme-datetimepicker-disable-past').datetimepicker({
				minDate: dateToday,
				format:''+ dtformat + ' H:i',
				dayOfWeekStart: pcfmefrontend.dt_week_starts_on
			});
		}

	});


	$iaz(function() {
		if (jQuery('.pcfme-timepicker').length) {

			jQuery('.pcfme-timepicker').datetimepicker({
				format:'H:i',
				datepicker:false,
				dayOfWeekStart: pcfmefrontend.dt_week_starts_on,
				step:pcfmefrontend.timepicker_interval,
				allowTimes: function getArr() {

					if ((pcfmefrontend.allowed_times) && (pcfmefrontend.allowed_times != '')) {

						var gTimes = pcfmefrontend.allowed_times.split(',');
						return gTimes;


					}

				}()

			});


		}
	   
	});


	
   	
	$iaz(function() {

		if ($iaz('.pcfme-multiselect').length) {
			$iaz('.pcfme-multiselect').select2({});
		}

		if ($iaz('.pcfme-singleselect').length) {
			$iaz('.pcfme-singleselect').select2({});
		}

		if ($iaz('.parent_hidden').length) {
			$iaz('.parent_hidden').hide();
		}

    });
	
	
	$iaz(function() {
       $iaz('.pcfme-opener').on('change',function(){
		 var this_obj=$iaz(this);
		 var id= this_obj.attr('id');
         var name= this_obj.attr('name');
         var uval = this_obj.val();
		 

		 if (this_obj.hasClass('pcfme-singleselect')){
			
			
			$iaz('.open_by_'+ id +'_'+ uval).closest('.form-row').show();
			$iaz('.open_by_'+ id +'_'+ uval).closest('.form-row').val('');

                        //hide other   
            $iaz("[class^='open_by_"+ id +"_'],[class*=' open_by_"+ id +"_']").not('.open_by_'+ id +'_'+uval).closest('.form-row').hide();
            $iaz("[class^='open_by_"+ id +"_'],[class*=' open_by_"+ id +"_']").not('.open_by_'+ id +'_'+uval).closest('.form-row').val('empty');
			
		 } else if (this_obj.hasClass('pcfme-multiselect')){
			
			
			$iaz('.open_by_'+ id +'_'+uval ).closest('.form-row').show();
			$iaz('.open_by_'+ id +'_'+uval ).closest('.form-row').val('');
                        //hide other   
            $iaz("[class^='open_by_"+ id +"_'],[class*=' open_by_"+ id +"_']").not('.open_by_'+ id +'_'+uval).closest('.form-row').hide();
            $iaz("[class^='open_by_"+ id +"_'],[class*=' open_by_"+ id +"_']").not('.open_by_'+ id +'_'+uval).closest('.form-row').val('empty');
			
			
		 } else if (this_obj.attr('type')=='checkbox') {
			
			if (this_obj.is(':checked')) {
				$iaz('.open_by_'+id ).closest('.form-row').show();
				$iaz('.open_by_'+ id +' input' ).val('');
			} else {
				$iaz('.open_by_'+id ).closest('.form-row').hide();
                $iaz('.open_by_'+ id +' input' ).val('empty');
			}
			
		 } else if ( this_obj.attr('type')=='radio'){
                
                $iaz('.open_by_'+ id +'_'+uval ).closest('.form-row').show();
                $iaz('.open_by_'+ id +'_'+uval ).closest('.form-row').val('');
                        //hide other   
                $iaz("[class^='open_by_"+ id +"_'],[class*=' open_by_"+ id +"_']").not('.open_by_'+ id +'_'+uval).closest('.form-row').hide();	
                $iaz("[class^='open_by_"+ id +"_'],[class*=' open_by_"+ id +"_']").not('.open_by_'+ id +'_'+uval).closest('.form-row').val('empty');			
                       
          } else if ( this_obj.attr('type')=='text'){
			    $iaz('.open_by_'+ id +'_'+uval ).closest('.form-row').show();
			    $iaz('.open_by_'+ id +'_'+uval ).closest('.form-row').val('');
                        //hide other   
                $iaz("[class^='open_by_"+ id +"_'],[class*=' open_by_"+ id +"_']").not('.open_by_'+ id +'_'+uval).closest('.form-row').hide();
                $iaz("[class^='open_by_"+ id +"_'],[class*=' open_by_"+ id +"_']").not('.open_by_'+ id +'_'+uval).closest('.form-row').val('empty');
		  
		  } else if ( this_obj.attr('type')=='tel'){
			     
			     $iaz('.open_by_'+ id +'_'+uval ).closest('.form-row').show();
			     $iaz('.open_by_'+ id +'_'+uval ).closest('.form-row').val('');
                        //hide other   
                 $iaz("[class^='open_by_"+ id +"_'],[class*=' open_by_"+ id +"_']").not('.open_by_'+ id +'_'+uval).closest('.form-row').hide();
                 $iaz("[class^='open_by_"+ id +"_'],[class*=' open_by_"+ id +"_']").not('.open_by_'+ id +'_'+uval).closest('.form-row').val('empty');
		  } else if ( this_obj.attr('type')=='number'){
			     
			     $iaz('.open_by_'+ id +'_'+uval ).closest('.form-row').show();
			     $iaz('.open_by_'+ id +'_'+uval ).closest('.form-row').val('');
                        //hide other   
                 $iaz("[class^='open_by_"+ id +"_'],[class*=' open_by_"+ id +"_']").not('.open_by_'+ id +'_'+uval).closest('.form-row').hide();
                 $iaz("[class^='open_by_"+ id +"_'],[class*=' open_by_"+ id +"_']").not('.open_by_'+ id +'_'+uval).closest('.form-row').val('empty');
		  } else if ( this_obj.attr('type')=='password'){
			     
			     $iaz('.open_by_'+ id +'_'+uval ).closest('.form-row').show();
			     $iaz('.open_by_'+ id +'_'+uval ).closest('.form-row').val('');
                        //hide other   
                 $iaz("[class^='open_by_"+ id +"_'],[class*=' open_by_"+ id +"_']").not('.open_by_'+ id +'_'+uval).closest('.form-row').hide();
                 $iaz("[class^='open_by_"+ id +"_'],[class*=' open_by_"+ id +"_']").not('.open_by_'+ id +'_'+uval).closest('.form-row').val('empty');
		  } else if (this_obj.is("textarea")){
			     
			     $iaz('.open_by_'+ id +'_'+uval ).closest('.form-row').show();
			     $iaz('.open_by_'+ id +'_'+uval ).closest('.form-row').val('');
                        //hide other   
                 $iaz("[class^='open_by_"+ id +"_'],[class*=' open_by_"+ id +"_']").not('.open_by_'+ id +'_'+uval).closest('.form-row').hide();
                 $iaz("[class^='open_by_"+ id +"_'],[class*=' open_by_"+ id +"_']").not('.open_by_'+ id +'_'+uval).closest('.form-row').val('empty');
		  }
	    
		
      });
	  
	  $iaz('.pcfme-opener').trigger('change');

      $iaz('.pcfme-price-changer').trigger('change');

      $iaz('.pcfme-price-changer').on('change',function(){

            
      	    jQuery('body').trigger('update_checkout');


      });


    $iaz(window).load(function() {
      	if ($iaz('.shipping_method').length > 0) {


      		$iaz.each($iaz('.shipping_method'),function(){
      			var xvalue = $iaz(this).val();

      			xvalue = xvalue.slice(0,-2);





      			if ($iaz(this).is(":checked")) {





      				$iaz("[class^='show_by_shipping_method_"+ xvalue +"'],[class*='show_by_shipping_method_"+ xvalue +"']").not('.hide_by_shipping_method_'+ xvalue +'').closest('.form-row').show();
      				$iaz("[class^='show_by_shipping_method_"+ xvalue +"'],[class*='show_by_shipping_method_"+ xvalue +"']").not('.hide_by_shipping_method_'+ xvalue +'').closest('.form-row').val('');
      				$iaz("[class^='hide_by_shipping_method_"+ xvalue +"'],[class*='hide_by_shipping_method_"+ xvalue +"']").not('.show_by_shipping_method_'+ xvalue +'').closest('.form-row').hide();
      				$iaz("[class^='hide_by_shipping_method_"+ xvalue +"'],[class*='hide_by_shipping_method_"+ xvalue +"']").not('.show_by_shipping_method_'+ xvalue +'').closest('.form-row').val('empty');

      			} else {



      				$iaz("[class^='show_by_shipping_method_"+ xvalue +"'],[class*='show_by_shipping_method_"+ xvalue +"']").not('.hide_by_shipping_method_'+ xvalue +'').closest('.form-row').hide();
      				$iaz("[class^='show_by_shipping_method_"+ xvalue +"'],[class*='show_by_shipping_method_"+ xvalue +"']").not('.hide_by_shipping_method_'+ xvalue +'').closest('.form-row').val('empty');
      				$iaz("[class^='hide_by_shipping_method_"+ xvalue +"'],[class*='hide_by_shipping_method_"+ xvalue +"']").not('.show_by_shipping_method_'+ xvalue +'').closest('.form-row').show();
      				$iaz("[class^='hide_by_shipping_method_"+ xvalue +"'],[class*='hide_by_shipping_method_"+ xvalue +"']").not('.show_by_shipping_method_'+ xvalue +'').closest('.form-row').val('');
      			}

      		});
      	}
    });

    $iaz(window).load(function() {
      	if ($iaz('input[name="payment_method"]').length > 0) {


      		$iaz.each($iaz('input[name="payment_method"]'),function(){
      			var xvalue = $iaz(this).val();
                

    

      			if ($iaz(this).is(":checked")) {


                    


      				$iaz("[class^='show_by_payment_gateway_"+ xvalue +"'],[class*='show_by_payment_gateway_"+ xvalue +"']").not('.hide_by_payment_gateway_'+ xvalue +'').closest('.form-row').show();
      				$iaz("[class^='show_by_payment_gateway_"+ xvalue +"'],[class*='show_by_payment_gateway_"+ xvalue +"']").not('.hide_by_payment_gateway_'+ xvalue +'').closest('.form-row').val('');
      				$iaz("[class^='hide_by_payment_gateway_"+ xvalue +"'],[class*='hide_by_payment_gateway_"+ xvalue +"']").not('.show_by_payment_gateway_'+ xvalue +'').closest('.form-row').hide();
      				$iaz("[class^='hide_by_payment_gateway_"+ xvalue +"'],[class*='hide_by_payment_gateway_"+ xvalue +"']").not('.show_by_payment_gateway_'+ xvalue +'').closest('.form-row').val('empty');

      			} else {



      				$iaz("[class^='show_by_payment_gateway_"+ xvalue +"'],[class*='show_by_payment_gateway_"+ xvalue +"']").not('.hide_by_payment_gateway_'+ xvalue +'').closest('.form-row').hide();
      				$iaz("[class^='show_by_payment_gateway_"+ xvalue +"'],[class*='show_by_payment_gateway_"+ xvalue +"']").not('.hide_by_payment_gateway_'+ xvalue +'').closest('.form-row').val('empty');
      				$iaz("[class^='hide_by_payment_gateway_"+ xvalue +"'],[class*='hide_by_payment_gateway_"+ xvalue +"']").not('.show_by_payment_gateway_'+ xvalue +'').closest('.form-row').show();
      				$iaz("[class^='hide_by_payment_gateway_"+ xvalue +"'],[class*='hide_by_payment_gateway_"+ xvalue +"']").not('.show_by_payment_gateway_'+ xvalue +'').closest('.form-row').val('');
      			}

      		});
      	}
    });


        


    $iaz(document).ready(function(){
    	$iaz(document).on("click", ".shipping_method" ,function(e) {   
    		var xvalue = $iaz(this).val();

    		xvalue = xvalue.slice(0,-2);

                

    		if ($iaz(this).is(":checked")) {

    			$iaz('.hide_on_load').hide();

    			$iaz('.show_on_load').show();

    			$iaz("[class^='show_by_shipping_method_"+ xvalue +"'],[class*='show_by_shipping_method_"+ xvalue +"']").not('.hide_by_shipping_method_'+ xvalue +'').closest('.form-row').show();
    			$iaz("[class^='show_by_shipping_method_"+ xvalue +"'],[class*='show_by_shipping_method_"+ xvalue +"']").not('.hide_by_shipping_method_'+ xvalue +'').closest('.form-row').val('');
    			$iaz("[class^='hide_by_shipping_method_"+ xvalue +"'],[class*='hide_by_shipping_method_"+ xvalue +"']").not('.show_by_shipping_method_'+ xvalue +'').closest('.form-row').hide();
    			$iaz("[class^='hide_by_shipping_method_"+ xvalue +"'],[class*='hide_by_shipping_method_"+ xvalue +"']").not('.show_by_shipping_method_'+ xvalue +'').closest('.form-row').val('empty');
    		} else {

    			$iaz('.hide_on_load').hide();

    			$iaz('.show_on_load').show();

    			$iaz("[class^='show_by_shipping_method_"+ xvalue +"'],[class*='show_by_shipping_method_"+ xvalue +"']").not('.hide_by_shipping_method_'+ xvalue +'').closest('.form-row').hide();
    			$iaz("[class^='show_by_shipping_method_"+ xvalue +"'],[class*='show_by_shipping_method_"+ xvalue +"']").not('.hide_by_shipping_method_'+ xvalue +'').closest('.form-row').val('empty');
    			$iaz("[class^='hide_by_shipping_method_"+ xvalue +"'],[class*='hide_by_shipping_method_"+ xvalue +"']").not('.show_by_shipping_method_'+ xvalue +'').closest('.form-row').show();
    			$iaz("[class^='hide_by_shipping_method_"+ xvalue +"'],[class*='hide_by_shipping_method_"+ xvalue +"']").not('.show_by_shipping_method_'+ xvalue +'').closest('.form-row').val('');
    		}
    	}); 


    });


    $iaz(document).ready(function(){
    	$iaz(document).on("change", 'input[name="payment_method"]' ,function(e) {   
    		var xvalue = $iaz(this).val();

    		

            

    		if ($iaz(this).is(":checked")) {

    			$iaz('.hide_on_load2').hide();

    			$iaz('.show_on_load2').show();

    			$iaz("[class^='show_by_payment_gateway_"+ xvalue +"'],[class*='show_by_payment_gateway_"+ xvalue +"']").not('.hide_by_payment_gateway_'+ xvalue +'').closest('.form-row').show();
    			$iaz("[class^='show_by_payment_gateway_"+ xvalue +"'],[class*='show_by_payment_gateway_"+ xvalue +"']").not('.hide_by_payment_gateway_'+ xvalue +'').closest('.form-row').val('');
    			$iaz("[class^='hide_by_payment_gateway_"+ xvalue +"'],[class*='hide_by_payment_gateway_"+ xvalue +"']").not('.show_by_payment_gateway_'+ xvalue +'').closest('.form-row').hide();
    			$iaz("[class^='hide_by_payment_gateway_"+ xvalue +"'],[class*='hide_by_payment_gateway_"+ xvalue +"']").not('.show_by_payment_gateway_'+ xvalue +'').closest('.form-row').val('empty');
    		} else {

    			$iaz('.hide_on_load2').hide();

    			$iaz('.show_on_load2').show();

    			$iaz("[class^='show_by_payment_gateway_"+ xvalue +"'],[class*='show_by_payment_gateway_"+ xvalue +"']").not('.hide_by_payment_gateway_'+ xvalue +'').closest('.form-row').hide();
    			$iaz("[class^='show_by_payment_gateway_"+ xvalue +"'],[class*='show_by_payment_gateway_"+ xvalue +"']").not('.hide_by_payment_gateway_'+ xvalue +'').closest('.form-row').val('empty');
    			$iaz("[class^='hide_by_payment_gateway_"+ xvalue +"'],[class*='hide_by_payment_gateway_"+ xvalue +"']").not('.show_by_payment_gateway_'+ xvalue +'').closest('.form-row').show();
    			$iaz("[class^='hide_by_payment_gateway_"+ xvalue +"'],[class*='hide_by_payment_gateway_"+ xvalue +"']").not('.show_by_payment_gateway_'+ xvalue +'').closest('.form-row').val('');
    		}
    	}); 


    });


    $iaz('.hide_on_load').hide();

    $iaz('.show_on_load').show();  

    $iaz('.hide_on_load2').hide();

    $iaz('.show_on_load2').show();  
	  
	  
	  $iaz('.pcfme-hider').on('change',function(){
		   var this_obj=$iaz(this);
           var id= this_obj.attr('id');
           var name= this_obj.attr('name');
           var hval = this_obj.val();
		   
		   if (this_obj.hasClass('pcfme-singleselect')){
                        
                        $iaz('.hide_by_'+ id +'_'+hval ).closest('.form-row').hide();
                        $iaz('.hide_by_'+ id +'_'+hval ).closest('.form-row').val('empty');
                        //hide other   
                        $iaz("[class^='hide_by_"+ id +"_'],[class*=' hide_by_"+ id+"_']").not('.hide_by_'+ id +'_'+hval).closest('.form-row').show();
                        $iaz("[class^='hide_by_"+ id +"_'],[class*=' hide_by_"+ id+"_']").not('.hide_by_'+ id +'_'+hval).closest('.form-row').val('');
                         
            } else if (this_obj.hasClass('pcfme-multiselect')){
                        
                        $iaz('.hide_by_'+ id +'_'+hval ).closest('.form-row').hide();
                        $iaz('.hide_by_'+ id +'_'+hval ).closest('.form-row').val('empty');
                        //hide other   
                        $iaz("[class^='hide_by_"+ id +"_'],[class*=' hide_by_"+ id+"_']").not('.hide_by_'+ id +'_'+hval).closest('.form-row').show();
                        $iaz("[class^='hide_by_"+ id +"_'],[class*=' hide_by_"+ id+"_']").not('.hide_by_'+ id +'_'+hval).closest('.form-row').val('');
                         
            } else if (this_obj.attr('type')=='checkbox') {
			
			  if (this_obj.is(':checked')) {
				
				$iaz('.hide_by_'+id ).closest('.form-row').hide();
				$iaz('.hide_by_'+id ).closest('.form-row').val('empty');
			  } else {
				    
				$iaz('.hide_by_'+id ).closest('.form-row').show();
				$iaz('.hide_by_'+id ).closest('.form-row').val('');
			  }
		    
			} else if ( this_obj.attr('type')=='radio'){
                         
                $iaz('.hide_by_'+ id +'_'+hval ).closest('.form-row').hide();
                $iaz('.hide_by_'+ id +'_'+hval ).closest('.form-row').val('empty');
                        //hide other   
                $iaz("[class^='hide_by_"+ id +"_'],[class*=' hide_by_"+ id+"_']").not('.hide_by_'+ id +'_'+hval).closest('.form-row').show();  
                $iaz("[class^='hide_by_"+ id +"_'],[class*=' hide_by_"+ id+"_']").not('.hide_by_'+ id +'_'+hval).closest('.form-row').val('');     
            
            } else if ( this_obj.attr('type')=='text'){
                         
                $iaz('.hide_by_'+ id +'_'+hval ).closest('.form-row').hide();
                $iaz('.hide_by_'+ id +'_'+hval ).closest('.form-row').val('empty');
                        //hide other   
                $iaz("[class^='hide_by_"+ id +"_'],[class*=' hide_by_"+ id+"_']").not('.hide_by_'+ id +'_'+hval).closest('.form-row').show(); 
                $iaz("[class^='hide_by_"+ id +"_'],[class*=' hide_by_"+ id+"_']").not('.hide_by_'+ id +'_'+hval).closest('.form-row').val('');
            
			} else if ( this_obj.attr('type')=='tel'){
                         
                $iaz('.hide_by_'+ id +'_'+hval ).closest('.form-row').hide();
                $iaz('.hide_by_'+ id +'_'+hval ).closest('.form-row').val('empty');
                        //hide other   
                $iaz("[class^='hide_by_"+ id +"_'],[class*=' hide_by_"+ id+"_']").not('.hide_by_'+ id +'_'+hval).closest('.form-row').show();
                $iaz("[class^='hide_by_"+ id +"_'],[class*=' hide_by_"+ id+"_']").not('.hide_by_'+ id +'_'+hval).closest('.form-row').val('');       
            }  else if ( this_obj.attr('type')=='number'){
                         
                $iaz('.hide_by_'+ id +'_'+hval ).closest('.form-row').hide();
                $iaz('.hide_by_'+ id +'_'+hval ).closest('.form-row').val('empty');
                        //hide other   
                $iaz("[class^='hide_by_"+ id +"_'],[class*=' hide_by_"+ id+"_']").not('.hide_by_'+ id +'_'+hval).closest('.form-row').show();
                $iaz("[class^='hide_by_"+ id +"_'],[class*=' hide_by_"+ id+"_']").not('.hide_by_'+ id +'_'+hval).closest('.form-row').val('');        
            }  else if ( this_obj.attr('type')=='password'){
                         
                $iaz('.hide_by_'+ id +'_'+hval ).closest('.form-row').hide();
                $iaz('.hide_by_'+ id +'_'+hval ).closest('.form-row').val('empty');
                        //hide other   
                $iaz("[class^='hide_by_"+ id +"_'],[class*=' hide_by_"+ id+"_']").not('.hide_by_'+ id +'_'+hval).closest('.form-row').show();   
                $iaz("[class^='hide_by_"+ id +"_'],[class*=' hide_by_"+ id+"_']").not('.hide_by_'+ id +'_'+hval).closest('.form-row').val('');     
            }   else if (this_obj.is("textarea")) {
                         
                $iaz('.hide_by_'+ id +'_'+hval ).closest('.form-row').hide();
                $iaz('.hide_by_'+ id +'_'+hval ).closest('.form-row').val('empty');
                        //hide other   
                $iaz("[class^='hide_by_"+ id +"_'],[class*=' hide_by_"+ id+"_']").not('.hide_by_'+ id +'_'+hval).closest('.form-row').show();   
                $iaz("[class^='hide_by_"+ id +"_'],[class*=' hide_by_"+ id+"_']").not('.hide_by_'+ id +'_'+hval).closest('.form-row').val('');    
            }
	  });
	  
	   $iaz('.pcfme-hider').trigger('change');
	});
})(jQuery);